@echo off

\MASM32\BIN\Rc.exe /v rsrc.rc
\MASM32\BIN\Cvtres.exe /machine:ix86 rsrc.res

if exist XXControls.obj del XXControls.obj
if exist XXControls.dll del XXControls.dll

\masm32\bin\ml /c /coff XXControls.asm

\masm32\bin\Link /SUBSYSTEM:WINDOWS /DLL /DEF:XXControls.def XXControls.obj rsrc.obj

dir XXControls.*

pause